Name:			sdlmess
Version:		0.134
%define sversion 	%(sed -e "s/\\.//" <<<%{version})
%define distsuffix	plf
Release:		%mkrel 1

Summary:	SDL MESS emulates a large variety of different systems
License:	Freeware
Group:		Emulators
URL:		http://rbelmont.mameworld.info/
Source0:	http://rbelmont.mameworld.info/%{name}%{sversion}.zip
Source1:	sdlmess-wrapper

BuildRequires:	SDL1.2-devel
BuildRequires:	expat-devel
BuildRequires:	zlib-devel
BuildRequires:	libxinerama-devel
BuildRequires:	gtk2-devel
BuildRequires:	libGConf2-devel
#ExclusiveArch:	%ix86 x86_64 ppc
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
SDL MESS is a free emulator which emulates a large variety of different 
systems (computers and home entertainment systems).
It uses SDL, and is based on MESS.

This package is in PLF because of Mandriva policy regarding emulators.

%prep
%setup -q -n %{name}%{sversion}
perl -pi -e "s|-Werror||g" makefile.sdl

%build
#notes:
#optimizing for specific processor adds suffixes:
#example pentiumpro "pp" : I686=1
#compiling the debugger always adds (and only) suffix "d" : DEBUG=1
#DRC options are forced on / off in the makefile depending on the arch :
#no need for X86_MIPS3_DRC= X86_PPC_DRC=
#SYMBOLS=1 for a useful -debug package
%make -f makefile.sdl \
 PREFIX="sdl" \
 BUILD_ZLIB= \
 BUILD_EXPAT= \
 OPT_FLAGS="%optflags" \
%ifarch x86_64 alpha ia64 ppc64
 PTR64=1 \
%endif
%ifarch ppc ppc64
 BIGENDIAN=1 \
%endif
 
#ifarch %ix86
# I686=1 \
#endif
 

%install
rm -rf %{buildroot}
install -d -m 755 %{buildroot}%{_gamesbindir}
install -m 755 sdlmess* %{buildroot}/%{_gamesbindir}/sdlmess.real

#various directories and files
install -d -m 755 %{buildroot}%{_gamesdatadir}/sdlmess/artwork
install -m 644 artwork/* %{buildroot}%{_gamesdatadir}/sdlmess/artwork/
install -d -m 755 %{buildroot}%{_gamesdatadir}/sdlmess/hash
install -m 644 hash/* %{buildroot}%{_gamesdatadir}/sdlmess/hash/

#keymaps
install -d -m 755 %{buildroot}%{_gamesdatadir}/sdlmess/keymaps
install -m 644 keymaps/* %{buildroot}%{_gamesdatadir}/sdlmess/keymaps/

#font
install -m 644 ui.bdf %{buildroot}%{_gamesdatadir}/sdlmess/

#sysinfo.dat
install -m 644 sysinfo.dat %{buildroot}%{_gamesdatadir}/sdlmess/

#cfg, diff, nvram, obj, snap in home only

#tools
#useful to manage roms
install -m 755 chdman %{buildroot}%{_gamesbindir}/chdman-sdlmess
install -m 755 romcmp %{buildroot}%{_gamesbindir}/romcmp-sdlmess
#useful to create a new keymap
install -m 755 testkeys %{buildroot}%{_gamesbindir}/testkeys-sdlmess
#other tools : dat2html, messtest, messdocs, imgtool, jedutil, makemeta, regrep, srcclean

#wrapper
install -m 755 %{_sourcedir}/sdlmess-wrapper %{buildroot}%{_gamesbindir}/sdlmess

%files
%defattr(0644,root,root,0755)
%doc SDLMESS.txt docs/*
%attr(0755,root,games) %{_gamesbindir}/sdlmess*
%attr(0755,root,games) %{_gamesbindir}/*-sdlmess
#{_mandir}/man1/sdlmess.1*
%{_gamesdatadir}/sdlmess

%clean
rm -rf %{buildroot}

%changelog
* Thu Sep 17 2009 Guillaume Bedot <littletux@zarb.org> 0.134-1plf2010.0
- 0.134

* Sat Sep  5 2009 Guillaume Bedot <littletux@zarb.org> 0.133-1plf2010.0
- 0.133

* Sun Jun 21 2009 Guillaume Bedot <littletux@zarb.org> 0.132-1plf2010.0
- 0.132

* Mon May 18 2009 Guillaume Bedot <littletux@zarb.org> 0.131-1plf2010.0
- 0.131
- added sysinfo.dat

* Sun Apr 19 2009 Guillaume Bedot <littletux@zarb.org> 0.130-1plf2009.1
- 0.130

* Thu Jan  8 2009 Guillaume Bedot <littletux@zarb.org> 0.129-1plf2009.1
- 0.129

* Fri Oct 24 2008 Guillaume Bedot <littletux@zarb.org> 0.128-1plf2009.1
- 0.128

* Fri Aug 15 2008 Guillaume Bedot <littletux@zarb.org> 0.126-2plf2009.0
- fix buildrequires

* Sat Jul 12 2008 Guillaume Bedot <littletux@zarb.org> 0.126-1plf2009.0
- 0.126
- rpm spec policy proposal related changes

* Thu May 29 2008 Guillaume Bedot <littletux@zarb.org> 0.125-1plf2009.0
- 0.125

* Fri Mar 28 2008 Guillaume Bedot <littletux@zarb.org> 0.124-1plf2008.1
- 0.124
- BIGENDIAN replaces PPC

* Tue Mar  4 2008 Guillaume Bedot <littletux@zarb.org> 0.123-1plf2008.1
- 0.123

* Tue Feb 05 2008 Anssi Hannula <anssi@zarb.org> 0.122-2plf2008.1
- buildrequires libxinerama-devel

* Mon Jan 28 2008 Guillaume Bedot <littletux@zarb.org> 0.122-1plf2008.1
- 0.122

* Tue Nov 27 2007 Guillaume Bedot <littletux@zarb.org> 0.121-1plf2008.1
- 0.121

* Wed Aug 15 2007 Guillaume Bedot <littletux@zarb.org> 0.118-1plf2008.0
- First PLF package
